SchemaElementPair
Keywords: uk.ac.ic.doc.automed.matching.SchemaElementPair class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class SchemaElementPair

    java.lang.Object
      uk.ac.ic.doc.automed.matching.SchemaElementPair

Direct Known Subclasses:
  SchemaElementPairRelationship, SimilarSchemaElementPair, UncertainSchemaElementPair

    public class SchemaElementPair

extends java.lang.Object

The SchemaElementPair class that represents a pair of schema elements.

See Also:
  `SchemaElement`

Constructor Summary
`SchemaElementPair(SchemaElement elementA, SchemaElement elementB)` Constructs a `SchemaElementPair` object.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares this object against the specified object.
`SchemaElement` | `getElement(int index)` Returns the `SchemaElement` object at the specified index in the pair.
`SchemaElement` | `getFirstElement()` Returns the first `SchemaElement` object of the pair.
`SchemaElement` | `getSecondElement()` Returns the second `SchemaElement` object of the pair.
`int` | `hashCode()`
`void` | `setFirstElement(SchemaElement e)`
`void` | `setSecondElement(SchemaElement e)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchemaElementPair

    public SchemaElementPair(SchemaElement elementA,
                             SchemaElement elementB)

  Constructs a `SchemaElementPair` object.

  Parameters:
    `elementA` - the first element of the pair
    `elementB` - the second element of the pair

Method Detail

### getFirstElement

    public SchemaElement getFirstElement()

  Returns the first `SchemaElement` object of the pair.

  Returns:
    the first `SchemaElement` object of the pair.

### getSecondElement

    public SchemaElement getSecondElement()

  Returns the second `SchemaElement` object of the pair.

  Returns:
    the second `SchemaElement` object of the pair.

### setFirstElement

    public void setFirstElement(SchemaElement e)

### setSecondElement

    public void setSecondElement(SchemaElement e)

### getElement

    public SchemaElement getElement(int index)
                             throws java.lang.IndexOutOfBoundsException

  Returns the `SchemaElement` object at the specified index in the pair. The value of the index can be either zero or one.

  Returns:
    the `SchemaElement` object at the specified index in the pair.
  Throws:
    `IndexOutOfBoundException` - if `index` is different from zero or one.
    `java.lang.IndexOutOfBoundsException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Compares this object against the specified object. Two `SchemaElementPair` objects are equivalent if they contain equivalent `SchemaElement` objects irrespective of their indeces in the pairs.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    `true` if the objects are the same, `false` otherwise.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD